GET /serviceenginegroup/{uuid}/runtime/

GET /serviceenginegroup/{uuid}/runtime/

/serviceenginegroup/{uuid}/runtime/

Request
URI
GET
https://{api_host}/api/serviceenginegroup/{uuid}/runtime
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceEngineGroupRuntime of type(s) application/json
{
    "add_vnic_stats": {
        "num_vnic_op": 0,
        "num_vnic_op_fail": 0,
        "num_vnic_op_success": 0,
        "num_vnic_op_timeout": 0
    },
    "at_curr_ver_se": [
        "string"
    ],
    "create_stats": {
        "num_se_create": 0,
        "num_se_create_fail": 0,
        "num_se_create_success": 0,
        "num_se_create_timeout": 0
    },
    "del_vnic_stats": {
        "num_vnic_op": 0,
        "num_vnic_op_fail": 0,
        "num_vnic_op_success": 0,
        "num_vnic_op_timeout": 0
    },
    "disconnected_se": [
        "string"
    ],
    "down_se": [
        "string"
    ],
    "license_reservation_pending": false,
    "license_stats": {
        "consumed_service_cores": "number",
        "reserved_service_cores": "number"
    },
    "modify_vnic_stats": {
        "num_vnic_op": 0,
        "num_vnic_op_fail": 0,
        "num_vnic_op_success": 0,
        "num_vnic_op_timeout": 0
    },
    "next_license_reserve_ticks": 0,
    "next_se_spawn_ticks": 0,
    "num_license_reserve_fail": 0,
    "num_se_spawn_fail": 0,
    "pending_lic_res_info": {
        "consumer_uuid": "string",
        "cookie": "string",
        "flavor": {
            "cost": "string",
            "disk_gb": 0,
            "enhanced_nw": false,
            "id": "string",
            "is_recommended": false,
            "max_ip6s_per_nic": 0,
            "max_ips_per_nic": 0,
            "max_nics": 0,
            "meta": [
                {
                    "key": "string",
                    "value": "string"
                }
            ],
            "name": "string",
            "public": false,
            "ram_mb": 0,
            "vcpus": 0
        },
        "memory": 0,
        "skip_non_ha_hosts": false,
        "source": "string",
        "spawn_on_host_uuid": "string",
        "ticks": 0,
        "vcpus": 0
    },
    "query_host_cookie": "string",
    "query_host_in_progress": false,
    "query_host_ticks": 0,
    "up_se": [
        "string"
    ],
    "upgrade_in_progress": false,
    "uuid": "string"
}
object
add_vnic_stats
Optional

add_vnic_stats

array of string
at_curr_ver_se
Optional

It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
create_stats
Optional

create_stats

object
del_vnic_stats
Optional

del_vnic_stats

array of string
disconnected_se
Optional

It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
down_se
Optional

It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
license_reservation_pending
Optional

Set to true while an asynchronous ReserveLicense RPC is in flight for an SE create (VS-driven or buffer) in this SE group. Blocks further placement/spawn in the group until HandleLicenseReservationNotification clears it on the reservation response. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
license_stats
Optional

license_stats

object
modify_vnic_stats
Optional

modify_vnic_stats

integer As uint64 As uint64
next_license_reserve_ticks
Optional

Next tick at which placement may be retried for this SE group after a license reservation failure. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
next_se_spawn_ticks
Optional

Next tick for SE spawn retry. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_license_reserve_fail
Optional

Number of consecutive times a license reservation for this SE group has failed with insufficient license or quota limit exceeded. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
num_se_spawn_fail
Optional

Number of SE spawn fails. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
pending_lic_res_info
Optional

pending_lic_res_info

string
query_host_cookie
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
query_host_in_progress
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
query_host_ticks
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
up_se
Optional

It is a reference to an object of type ServiceEngine. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
upgrade_in_progress
Optional

Flap to indicate if SE group is going through an upgrade. Field introduced in 18.2.6. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceenginegroup/{uuid}/runtime